%define pkg_name        XML-Writer
%define pkg_version     0.603
%define rpm_pkg_version 0.603
%define rpm_pkg_release 1.n0i.11

Summary:       Module for writing XML documents
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/J/JO/JOSEPHW/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
XML::Writer is a helper module for Perl programs that write an XML document.
The module handles all escaping for attribute values and character data and
constructs different types of markup, such as tags, comments, and processing
instructions.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README TODO


%changelog
* Tue Jul 31 2007 Marius Feraru <altblue@n0i.net> - 0.603-1.n0i.11
- version 0.603

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.602-1.n0i.10
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.602

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 0.600-1.n0i.9
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.531-2.n0i.8
- version 0.531

* Fri Dec 03 2004 Marius FERARU <altblue@n0i.net> 0:0.520-1.n0i.7
- version 0.520

* Fri Jul 09 2004 Marius FERARU <altblue@n0i.net> 0:0.51-2.n0i.6.0.510
- version 0.510

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:0.5-1.n0i.5.0.501
- automatic rebuild

* Wed Apr 21 2004 Marius Feraru <altblue@n0i.net> 0:0.5-1.n0i.4.0.501
- automatic rebuild

* Sat Apr 03 2004 Marius Feraru <altblue@n0i.net> 0:0.5-1.n0i.3
- version 0.500
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101

* Fri Jan 23 2004 Marius FERARU <altblue@n0i.net> 0:0.4-0.n0i.2
- automatic rebuild (perl v.5.8.3)

* Wed Dec 31 2003 Marius FERARU <altblue@n0i.net> 0:0.4-0.n0i.1
- version 0.4
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
